Eclipse Draw2d 3.7

## org.eclipse.draw2d
Class StackLayout

    java.lang.Object
      org.eclipse.draw2d.AbstractLayout
          org.eclipse.draw2d.AbstractHintLayout
              org.eclipse.draw2d.StackLayout

All Implemented Interfaces:
  LayoutManager

    public class StackLayout

extends AbstractHintLayout

Figures using the StackLayout as their layout manager have their children placed on top of one another. Order of placement is determined by the order in which the children were added, first child added placed on the bottom.

Field Summary

Fields inherited from class org.eclipse.draw2d.AbstractLayout
`isObservingVisibility, preferredSize`

Constructor Summary
`StackLayout()`

Method Summary
`protected Dimension` `calculateMinimumSize(IFigure figure, int wHint, int hHint)` Returns the minimum size required by the input container.
`protected Dimension` `calculatePreferredSize(IFigure figure, int wHint, int hHint)` Calculates and returns the preferred size of the given figure.
`void` `layout(IFigure figure)` Lays out the given figure.

Methods inherited from class org.eclipse.draw2d.AbstractHintLayout
`getMinimumSize, getPreferredSize, invalidate, isSensitiveHorizontally, isSensitiveVertically`

Methods inherited from class org.eclipse.draw2d.AbstractLayout
`calculatePreferredSize, getBorderPreferredSize, getConstraint, getMinimumSize, getPreferredSize, invalidate, isObservingVisibility, remove, setConstraint, setObserveVisibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StackLayout

    public StackLayout()

Method Detail

### calculateMinimumSize

    protected Dimension calculateMinimumSize(IFigure figure,
                                             int wHint,
                                             int hHint)

  Returns the minimum size required by the input container. This is the size of the largest child of the container, as all other children fit into this size.

  Overrides:
    `calculateMinimumSize` in class `AbstractHintLayout`
  Parameters:
    `figure` - the Figure on which this layout is installed
    `wHint` - the width hint
    `hHint` - the height hint
  Returns:
    the layout's minimum size
  See Also:
    `AbstractHintLayout.calculateMinimumSize(IFigure, int, int)`

### calculatePreferredSize

    protected Dimension calculatePreferredSize(IFigure figure,
                                               int wHint,
                                               int hHint)

  Calculates and returns the preferred size of the given figure. This is the union of the preferred sizes of the widest and the tallest of all its children.

  Specified by:
    `calculatePreferredSize` in class `AbstractLayout`
  Parameters:
    `figure` - The figure
    `wHint` - The width hint
    `hHint` - The height hint
  Returns:
    The preferred size
  See Also:
    `AbstractLayout.calculatePreferredSize(IFigure, int, int)`

### layout

    public void layout(IFigure figure)

  Description copied from interface: `LayoutManager`
  Lays out the given figure.

  Parameters:
    `figure` - The figure
  See Also:
    `LayoutManager.layout(IFigure)`

Eclipse Draw2d 3.7

Copyright (c) IBM Corp. and others 2000, 2011. All Rights Reserved.